Raw Screenshot
Capture an unstyled browser screenshot as PNG.
GET
/v1/raw
Authentication
Bearer Token
Query Parameters
url
string (uri)
required
query
Responses
200
PNG image
image/png
400
Error response
401
Error response
402
Error response
422
Error response
429
Error response
curl -X GET 'https://screenframed.com/v1/raw?url=https%3A%2F%2Fexample.com' \ -H 'Authorization: Bearer YOUR_API_TOKEN'
const response = await fetch('https://screenframed.com/v1/raw?url=https%3A%2F%2Fexample.com', { method: 'GET', headers: { "Authorization": "Bearer YOUR_API_TOKEN" }});const data = await response.json();console.log(data);
import requestsheaders = { 'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.get('https://screenframed.com/v1/raw?url=https%3A%2F%2Fexample.com', headers=headers)print(response.json())
200
Response
"<binary>"
API Playground
Try this endpoint
GET
/v1/raw